Package gui.menu

# Class MultiPlayerView

java.lang.Object
gui.menu.BaseView
gui.menu.MultiPlayerView

public class MultiPlayerView extends BaseView

- ## Field Summary

  ### Fields inherited from class gui.menu.BaseView

  `stateMachine`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiPlayerView(StateMachine stateMachine, Client client, Server server)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanResources()`
  `void`
  `closeMenu()`
  `void`
  `onDisconnect()`
  `void`
  `render()`
  `void`
  `renderGameStatus()`

  ### Methods inherited from class gui.menu.BaseView

  `closeMenu, renderReturnButton`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiPlayerView

    public MultiPlayerView(StateMachine stateMachine, Client client, Server server)

- ## Method Details

  - ### closeMenu

    public void closeMenu()
    Overrides:
      `closeMenu` in class `BaseView`

  - ### onDisconnect

    public void onDisconnect()

  - ### renderGameStatus

    public void renderGameStatus()

  - ### render

    public void render()
    Specified by:
      `render` in class `BaseView`

  - ### cleanResources

    public void cleanResources()
    Overrides:
      `cleanResources` in class `BaseView`